List remediation actions for a template

Returns a paginated list of remediation actions performed by this template. Defaults to the last 30 days, sorted by most recent activity.

Path Params
integer
required
≥ 1

Integer template id.

Query Params
string
enum

Filter by action status. CSV list.

Allowed:
string
enum

Filter by issue type. CSV list.

Allowed:
date

Start date in yyyy-mm-dd format. Defaults to 30 days ago.

date

End date in yyyy-mm-dd format. Defaults to today. Must be on or after from.

string

Filter by a single device id.

string

Filter by device groups. CSV list.

string

Filter by device tags. CSV list.

string

Filter by a single application id.

string

Filter to a specific issue. Accepts the issue identifier from the actions list response.

string

Filter by the most recent reported event-action.

boolean

Filter to show only actions performed through the Intune integration (true) or without it (false).

string
enum
Defaults to last_event

Field to sort by.

Allowed:
string
enum
Defaults to desc

Sort direction. Defaults to desc (or asc for device_name / spm_id).

Allowed:
integer
≥ 1
Defaults to 1

Page number to return. Starts at 1.

integer
1 to 100
Defaults to 20

Number of results per page. Maximum 100.

Responses

Language
Credentials
Bearer
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json